Repository/OMSA

From DellLinuxWiki

Jump to: navigation, search

This page describes the Dell OpenManage Linux Repository. For more information about the Dell Linux repositories, go to the main repository start page.

Contents

What is the purpose of the Dell OpenManage Linux Repository?

The purpose of the Dell OpenManage Linux Repository is to distribute all Official Dell Software.

  • Official Dell Software distributed in this repo:
    • OpenManage Server Administrator
    • Dell drivers for our different Linux systems
    • BIOS and firmware updates

What is the Dell OpenManage Linux Repository?

The repository contains an extract of all of the drivers in Server Assistant. Because Dell develops, tests, and ships drivers on a per-platform basis, the Server Assistant media contains a cross-reference for the drivers belonging to each system. We have extracted these drivers into a series of system-specific yum repositories.

Because this repository is based on the Server Assistant content, it contains drivers only for the Dell PowerEdge Server series. Also, because Server Assistant only supports RHEL 5, SLES 10, and SLES 11 add RHEL 6, those are the only operating systems currently supported in this repository. (For more info, see CentOS note below)

Server Assistant background: Dell ships media with each PowerEdge server, one of which contains Server Assistant. Server Assistant will assist you in re-installing the operating system on your Dell PowerEdge server. This media contains all of the updated drivers and RPMs that are installed in the Dell factory.

The CD containing Server Assistant has been called various things, "Dell Server Assistant CD" (DSA), the "Dell Installation and Server Management CD" (ISM), and "Systems Build and Update Utility" (SBUU).

We expect that in the future, as we get a better way to get the drivers for Precision workstations, we will be able to post drivers for Precision. And, of course, as Dell expands its Linux offerings, we expect to post other platform specific stuff here as well.

Supported Hardware

All systems supported by OM 7.4 Server Assistant are suppored by this repo. The version of Server Assistant carried on OM 7.4 was used to create this repo.

Supported Operating Systems

This repository supports Dell systems running the following Linux operating systems:

  • Red Hat Enterprise Linux 5 server Update 9 (both x86 and x86_64)
  • Red Hat Enterprise Linux 6 server Update 5 (x86_64)
  • SUSE Linux Enterprise Server 11SP3 (x86_64)

Note: "rebuilt" versions of the above such as CentOS or ScientificLinux *should* work. Please report problems to the mailing list and we will (unofficially) try to make these OSes work if there are problems.

Community distros like Fedora and OpenSUSE are not tested with this repository. Since most of the kernel drivers in this repository are in DKMS format, community distros may work. Please report problems to the mailing list and we will try to fix the issue or find a workaround. There is no guarantee that these will be fixed.

UNSUPPORTED Operating Systems

Of particular note, the following operating systems have problems:

RHEL 4 Gold: Yum support in the up2date version delivered in RHEL4 Gold appears to be broken. Please update up2date to a later version

RHEL 3: RHEL3 has been unsupported by OMSA for several releases now. Additionally, this repository requires yum 2.4.x or higher. The available versions of yum for CentOS and RHEL 3 are not new enough to work. Specifically, they dont understand the 'mirrorlist' directive, nor do they have the plugin API necessary to set the system id.

Fedora: The community releases are officially unsupported in this repository. You can, however, fake it by editing the yum config and changing "fc" to "el5". This is completely unsupported. If it breaks you can keep all the pieces.

Debian/Ubuntu: You can find unsupported builds here.

Centos/Scientific: See the relevant note under “Supported Operating Systems.

How to set up

Yum setup

These instructions work for RHEL5, RHEL6, CentOS, Scientific Linux.

You can install yum as an addon for SLES9/10, and these instructions will work as well.

NOTE 1: The version of yum distributed on CentOS 3 by default is too old (yum 2.0.8). You will need to upgrade to a yum 2.4.x version in order to use these repositories. The older version of yum does not support plugins or mirrorlists, which are required for these repos to work.

NOTE 2: If you use yum with CentOS, or Scientific Linux, you must enable plugins in order for the repositories to function correctly. The system connects to a system-specific repository using a yum plugin, which, if not enabled, will not work properly and you will not be able to install packages from the OMSA repository. Add the line, 'plugins=1' to your yum.conf if it is not already there.

  1. Set up the Dell OpenManage Repository at http://linux.dell.com/repo/hardware, like this:
    wget -q -O - http://linux.dell.com/repo/hardware/latest/bootstrap.cgi | bash
  2. Optional Install OpenManage Server Administrator:
    yum install srvadmin-all

    NOTE: You can install OMSA on all Linux systems even if the server is not supported. However, complete functionality is not guaranteed.

Zypper setup

These instructions work for SLES11 and higher using zypper.

  1. Set up this repository:
    wget -q -O - http://linux.dell.com/repo/hardware/latest/bootstrap.cgi | bash
  2. Optional Install OpenManage Server Administrator:
     zypper install srvadmin-all 

    NOTE 1: You can install OMSA on all Linux systems even if the server is not supported. However, complete functionality is not guaranteed.


Rug setup

These instructions work for SLES10 and higher using rug.

  1. Set up this repository:
    wget -q -O - http://linux.dell.com/repo/hardware/latest/bootstrap.cgi | bash
  2. Optional Install OpenManage Server Administrator:
     rug install srvadmin-base
     rug install srvadmin-webserver
     rug install srvadmin-storageservices

    NOTE 1: You can install OMSA on all Linux systems even if the server is not supported. However, complete functionality is not guaranteed.

    NOTE 2: If you want to install srvadmin-all, 'setserial' must be installed


FAQs and Troubleshooting Common Problems

Please see the Frequently Asked Questions page.

OpenManage Server Administrator

This repository contains RPMS for Dell OpenManage Server Administrator (OMSA). Currently, OMSA is supported only on Red Hat Enterprise Linux 5 & 6 and SUSE Linux Enterprise 10 & 11. The best way to install OMSA is to install the srvadmin-all metapackage, which installs all OMSA components.

Documentation for OMSA 7.4.0 is here:

OMSA Documentation Index


Meta Packages

To install all OMSA components using using yum (on RHEL 5,RHEL 6 and CentOS ):

yum install **Meta-Package (select from list below)**

The following meta packages are provided:

  • srvadmin-all: Install all OMSA components
  • srvadmin-base: Install only base OMSA, no web server
  • srvadmin-webserver: Install Web Interface
  • srvadmin-storageservices: Install RAID Management
  • srvadmin-rac4: Install components to manage the Dell Remote Access Card 4
  • srvadmin-rac5: Install components to manage the Dell Remote Access Card 5

Support

This repository is an official distribution method. For support questions related to this package repository, see the appropriate mailing list at linux-poweredge. Please monitor the mailing list for status messages and announcements concerning this repository.

Creating a local mirror

Rsync is now available. The rsync address is: rsync://linux.dell.com/repo

Recommended rsync command:

rsync -avHz linux.dell.com::repo/hardware .

Do you use RHN, Spacewalk or SUSE Manager?

You can manage the OMSA repositories with Red Hat Network Satellite Server, Spacewalk or SUSE Manager, by importing them as child channels and subscribing any registered Dell systems to the correct child channel.

For more information, read about dell-satellite-sync.

Personal tools
Distributions